Skip to main content
PATCH
/
api
/
sessions
/
{sessionId}
/
chats
/
{chatId}
Update session chat
curl --request PATCH \
  --url https://api.recoupable.com/api/sessions/{sessionId}/chats/{chatId} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "title": "<string>",
  "modelId": "<string>"
}
'
{
  "chat": {
    "id": "<string>",
    "sessionId": "<string>",
    "title": "<string>",
    "modelId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "activeStreamId": "<string>",
    "lastAssistantMessageAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.recoupable.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Path Parameters

sessionId
string
required

The id of the parent session.

chatId
string
required

The id of the chat being updated.

Body

application/json

Body for PATCH /api/sessions/{sessionId}/chats/{chatId}. At least one of title or modelId must be provided; whichever is provided is trimmed and must be non-empty after trimming.

title
string
required

New display title for the chat. Trimmed; must be non-empty after trimming.

Minimum string length: 1
Pattern: \S
modelId
string

AI Gateway model identifier the chat should be configured to use. Trimmed; must be non-empty after trimming.

Minimum string length: 1
Pattern: \S

Response

Chat updated successfully.

chat
object
required